<?
//Автор: DjBoBaH 
//Сайт: http://my-perm.net 
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
include $_SERVER['DOCUMENT_ROOT']."/anti_ hacker.php"; 
$timediff=mysql_result(mysql_query("SELECT `time` FROM `user` WHERE `id` = '$user[id]' LIMIT 1",$db), 0);
if($timediff < 3600)
{
include_once '../sys/inc/thead.php';
title();
echo "<div class='rekl_main'>\n";
echo 'Вы не можите обсуждать Новости Сообщества !!! <br/>
Вам необходимо провести 1 час на нашем сайте !<br/>';
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
exit;
}
if(isset($_GET['s']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo` WHERE `id` = '".intval($_GET['s'])."' LIMIT 1"),0)==1)
{
$s=intval($_GET['s']);
$soo=mysql_fetch_assoc(mysql_query("SELECT * FROM `soo` WHERE `id` = '$s' LIMIT 1"));
include_once 'inc/ban.php';
$set['title']="".filter_var($soo['name'], FILTER_SANITIZE_SPECIAL_CHARS)." - Новости"; // заголовок страницы
include_once '../sys/inc/thead.php';
echo '<div class="main_menu">';
title();echo "</div>\n";
echo '<div class="rekl_main">';
aut();
if($soo['konf_soo']==0 || isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_soo` = '$soo[id]' AND `id_user`='$user[id]' AND `invit`='0' AND `activate`='0' LIMIT 1"),0)==1 || isset($user) && $user['id']==$soo['admid']  || isset($user) && $user['level']>0)
{
if(isset($user) && $user['id']==$soo['admid'])
{
if(isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_news` WHERE `id` = '".intval($_GET['del'])."' AND `id_soo`='$soo[id]' LIMIT 1"),0)==1)
{
mysql_query("DELETE FROM `soo_news` WHERE `id`='".intval($_GET['del'])."' LIMIT 1");
msg('Новость успешно удалена');
}
if(isset($_POST['name']) && isset($_POST['mess']))
{
$name=esc(stripcslashes(htmlspecialchars($_POST['name'])));
if (strlen2($name)<3)$err[]='Короткий заголовок новости';
if (strlen2($name)>32)$err[]='Заголовок новости не должен быть длиннее 32-х символов';
$mat=antimat($name);
if ($mat)$err[]='В заголовке обнаружен мат: '.$mat;
$name=my_esc($name);

$mess = esc(stripcslashes(htmlspecialchars($_POST['mess'])));
if (strlen2($mess)<10)$err[]='Короткое сообщение';
if (strlen2($mess)>1024)$err[]='Сообщение не должно быть длиннее 1024 символов';
$mat=antimat($mess);
if ($mat)$err[]='В описании раздела обнаружен мат: '.$mat;
$mess=my_esc($mess);
if(!isset($err))
{
mysql_query("INSERT INTO `soo_news` (`id_soo`, `name`, `mess`, `time`) values ('$soo[id]', '$name', '$mess', '$time')");
if($soo['konf_news']==1)
{
$news_us=mysql_query("SELECT * FROM `soo_users` WHERE `id_soo`='$soo[id]' AND `activate`='0' AND `invit`='0'");
while ($new = mysql_fetch_array($news_us))
{
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values ('0', '$new[id_user]', '$name
$mess
---
Новость сообщества [url=/soo/$soo[id]]$soo[name][/url]', '$time')");
}
}
msg('Новость успешно добавлена');
}
}
err();
if(isset($_GET['add']))
{
echo'<form method="post" action="?s='.$soo['id'].'">';
echo'Заголовок<br/>';
echo'<input type="text" name="name"><br/>';
echo'Сообщение<br/>';
echo'<textarea name="mess"></textarea><br/>';
echo'<input type="submit" value="Добавить"></form><br/>';
}
else
{
echo'<a href="?s='.$soo['id'].'&add">Добавить новость</a><br/>';
}
}
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_news` WHERE `id_soo`='$soo[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo '<table class="post">';
if ($k_post==0)
{
echo '<tr>';
echo '<td class="p_t">';
echo 'Новостей пока нет';
echo '</td>';
echo '</tr>';
}
$q=mysql_query("SELECT * FROM `soo_news` WHERE `id_soo`='$soo[id]' ORDER BY `time` DESC LIMIT $start, $set[p_str]");
while ($news = mysql_fetch_assoc($q))
{
echo '<tr>';
echo '<td class="icon14">';
echo '<img src="/style/themes/'.$set['set_them'].'/icons/news.png" alt="" />';
echo '</td>';
echo '<td class="p_t">';
echo ''.filter_var($news['name'], FILTER_SANITIZE_SPECIAL_CHARS).' ('.vremja($news['time']).')';
if(isset($user) && $user['id']==$soo['admid'])echo' [<a href="?s='.$soo['id'].'&del='.$news['id'].'">x</a>]';
echo '</td>';
echo '</tr>';
echo '<tr>';
echo '<td class="p_m" colspan="2">';
echo ''.output_text($news['mess']).'';
echo '</td>';
echo '</tr>';
}
echo '</table>';
if ($k_page>1)str("?s=$soo[id]&",$k_page,$page); // Вывод страниц
echo'<a href="index.php?s='.$soo['id'].'">В сообщество</a><br/>';
}
else
{
echo'Вам недоступен просмотр новостей данного сообщества';
}
}
else
{
header("Location:index.php");
}
include_once '../sys/inc/tfoot.php';
?>